Create project from template (async)
curl --request POST \
--url https://cloud.memsource.com/web/api2/v2/projects/applyTemplate/async/{templateUid} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"callbackUrl": "<string>",
"dateDue": "2023-11-07T05:31:56Z",
"note": "<string>",
"sourceLang": "<string>",
"targetLangs": [
"<string>"
],
"workflowSteps": [
{
"id": "<string>"
}
]
}
'import requests
url = "https://cloud.memsource.com/web/api2/v2/projects/applyTemplate/async/{templateUid}"
payload = {
"name": "<string>",
"callbackUrl": "<string>",
"dateDue": "2023-11-07T05:31:56Z",
"note": "<string>",
"sourceLang": "<string>",
"targetLangs": ["<string>"],
"workflowSteps": [{ "id": "<string>" }]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
callbackUrl: '<string>',
dateDue: '2023-11-07T05:31:56Z',
note: '<string>',
sourceLang: '<string>',
targetLangs: ['<string>'],
workflowSteps: [{id: '<string>'}]
})
};
fetch('https://cloud.memsource.com/web/api2/v2/projects/applyTemplate/async/{templateUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"asyncRequest": {
"asyncResponse": {
"dateCreated": "2023-11-07T05:31:56Z",
"errorCode": "<string>",
"errorDesc": "<string>",
"errorDetails": [
{
"args": {},
"code": "<string>",
"message": "<string>"
}
],
"warnings": [
{
"args": {},
"code": "<string>",
"message": "<string>"
}
]
},
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"id": "<string>",
"parent": "<unknown>",
"project": {
"name": "<string>",
"uid": "<string>"
}
},
"reference": {
"type": "JOB",
"uid": "<string>"
}
}Project
Create project from template (async)
POST
/
api2
/
v2
/
projects
/
applyTemplate
/
async
/
{templateUid}
Create project from template (async)
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Template UID
Body
application/json
Maximum string length:
255Show child attributes
Show child attributes
URL to call when the async project creation completes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Due date for the project
Show child attributes
Show child attributes
Internal note for the project
Source language code; falls back to the template value when omitted
Show child attributes
Show child attributes
Target language codes; fall back to the template values when omitted
Workflow steps to override those defined in the template
Show child attributes
Show child attributes
Was this page helpful?
⌘I